Edge scrolling on ALPS touchpad broken since the upgrade to 3.5.0-11

Bug #1041594 reported by Chris Coulson on 2012-08-25
50
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Kamal Mostafa
Precise
Medium
Kamal Mostafa
Quantal
Medium
Kamal Mostafa

Bug Description

Edge scrolling has stopped working on my touchpad since the upgrade to 3.5.0-11, despite it being enabled in the mouse preferences. If I boot in to the 3.5.0-10 kernel, then edge scrolling works as normal again

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-11-generic 3.5.0-11.11
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic x86_64
ApportVersion: 2.5.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: chr1s 2702 F.... pulseaudio
Date: Sat Aug 25 17:58:54 2012
HibernationDevice: RESUME=UUID=74c313af-6ee4-460f-98f3-c1ed84bb6cae
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
MachineType: Dell Inc. Latitude E6410
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-11-generic root=UUID=b2e419c9-361b-45c5-8964-3ee8ca387122 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-11-generic N/A
 linux-backports-modules-3.5.0-11-generic N/A
 linux-firmware 1.90
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2011-11-16 (282 days ago)
dmi.bios.date: 02/15/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 04373Y
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd02/15/2011:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn04373Y:rvrA03:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Chris Coulson (chrisccoulson) wrote :
Brad Figg (brad-figg) on 2012-08-25
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc3-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-bisect needs-upstream-testing regression-update
Joseph Salisbury (jsalisbury) wrote :

I'd also like to bisect this bug in addition to bug 1041597 . If this is the same system, we should focus on one bug at a time.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
John Lenton (chipaca) wrote :

Tested 3.6.0-030600rc3.201208221735. Bug has been fixed there.

tags: added: kernel-fixed-upstream
removed: needs-upstream-testing
Joseph Salisbury (jsalisbury) wrote :

The v3.5.0-11.11 Ubuntu kernel is now available. Can you upgrade to that kernel and confirm if the bug still exists or not?

If the bug does still exist, we can perform a reverse kernel bisect to identify the commit upstream that fixes this bug.

Thanks in advance!

John Lenton (chipaca) wrote :

I had it right up to 3.5.0-13.14.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Sorry, I meant to post v3.5.0-13.13 is available in comment #5. Thanks for confirming that, John.

We next need to identify which v3.6 release candidate fixed this bug. Can you test the following kernels and report back:

v3.6-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/
v3.6-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc2-quantal/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
John Lenton (chipaca) wrote :

it's fixed in rc1. Should I also try rc2?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

No need to test rc2. I'll start a bisect between v3.5 final and v3.6-rc1. I'll post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

Can you actually also confirm this bug exits in upstream v3.5 final:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-quantal/

John Lenton (chipaca) wrote :

3.5 final does not have the bug.

John Lenton (chipaca) wrote :

And I rebooted into 3.5.0-13.14 to double check, and indeed the bug is present there.

Joseph Salisbury (jsalisbury) wrote :

Interesting. So that means the bug was introduced in one of the 3.5 stable updates. That commit was probably reverted in 3.6-rc1.

We might be better off performing a regular kernel bisect on v3.5 to find the offending commit. We can then see how it was fixed upstream, and request the same fix in linux-stable upstream.

Can you test the following two kernels and post which is the first to have the bug:

v3.5.1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.1-quantal/
v3.5.2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.2-quantal/

Thanks again!

John Lenton (chipaca) wrote :

Neither v3.5.1 nor v3.5.2 exhibit the bug.

Joseph Salisbury (jsalisbury) wrote :

@John,

Can you confirm the bug exists in v3.5.3:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.3-quantal/

If it does, I can bisect between v3.5.2 and v3.5.3.

tags: added: performing-bisect
removed: needs-bisect
david.barbion (david-barbion) wrote :

For me, with v3.5.3 from kernel ppa solves this problem.

Joseph Salisbury (jsalisbury) wrote :

@David,

Thanks for the update. That may indicate the bug has to do with an Ubuntu specific patch or a config file option.

@John, can you also test v3.5.3 and report if it has the bug or not?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
BenHagan (smooth-texan) wrote :

I'm also on a Dell laptop and v3.5.3 from the mainline PPA fixed it for me as well.

tags: added: psmouse
Joseph Salisbury (jsalisbury) wrote :

I see the following changes to the input subsystem in v3.5.0-11.11:

* SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

* SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807
  * SAUCE: [Config] add MOUSE_PS2_CYPRESS=y
    - LP: #978807

These changes are all to cypress and not alps. However, there could be a relation. I started a bisect between v3.5.0-10.10 and v3.5.0-11.11 and will post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I'm building another test kernel with all of the Cypress changes reverted. I will post a link to it shortly.

Joseph Salisbury (jsalisbury) wrote :

There is a 64-bit test kernel available at:
http://people.canonical.com/~jsalisbury/lp1041594/

The 32-bit kernel is building now and will be posted at the same link shortly.

Can folks affected by this bug test that kernel?

Thanks in advance!

Joseph Salisbury (jsalisbury) wrote :

On note, when installing the test kernel, be sure to in install both the linux-image and linux-image-extra .deb packages.

Joseph Salisbury (jsalisbury) wrote :

The 32-bit test kernel is now also available from:
http://people.canonical.com/~jsalisbury/lp1041594/

It would be great if anyone affected by this bug can test this kernel and post back.

BenHagan (smooth-texan) wrote :

Just installed the 64-bit test kernel. Bug is not exibited. Edge scrolling works again. I also confirmed that I have an ALPS touchpad, FYI.

Kamal Mostafa (kamalmostafa) wrote :

BenHagan, please run the command "xinput" while running both the problem kernel and the test-fix kernel, and post the outputs from both runs here. Thanks in advance!

summary: - Edge scrolling on touchpad broken since the upgrade to 3.5.0-11
+ Edge scrolling on ALPS touchpad broken since the upgrade to 3.5.0-11
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)

Here is the output of xinput from the problem kernel and the working kernel.

On 09/05/2012 04:06 PM, Kamal Mostafa wrote:
> ** Changed in: linux (Ubuntu)
> Assignee: (unassigned) => Kamal Mostafa (kamalmostafa)
>

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Kamal Mostafa (kamalmostafa) wrote :

BenHagan, thanks for that xinput data; it was useful. Please try this test kernel (which moves the Cypress driver later in the detection sequence, after ALPS). Does this fix the problem?
  http://people.canonical.com/~kamal/lp1041594/

BenHagan (smooth-texan) wrote :

Kamal, thanks for looking into this. Unfortunately the bug is still
present in the kernel 3.5.0-13-generic
#14+lp1041594~kamal~DetectCypressLater1. I'll be here for whatever else
you need.

tags: removed: performing-bisect
John Lenton (chipaca) wrote :

@Joseph Just able to test 3.5.3 and indeed the bug is still not present.

Kamal Mostafa (kamalmostafa) wrote :

Testers, please try the new test kernel at:
  http://people.canonical.com/~kamal/lp1041594/

For the record, we've determined that the problem was certainly caused by the addition of the Cypress Trackpad driver to the Ubuntu kernels -- so its definitely not a problem in any upstream kernel (as the Cypress driver isn't upstream yet). We think this latest test kernel should fix the problem (many many thanks to Seth Forshee, for diagnosing the apparent cause).

BenHagan (smooth-texan) wrote :

The kernel you provided (Linux e4200 3.5.0-13-generic #14+kamal~MoveCypressEnum0) does not display the bug. Edge scrolling is working again.

Thanks to everyone for your work on this by the way. You are what makes Ubuntu great.

John Lenton (chipaca) wrote :

@Kamal, any chance of an i386 build?

david.barbion (david-barbion) wrote :

@Kamal, your kernel make edge scrolling working.
Thanks!

Chris Van Hoof (vanhoof) on 2012-09-07
Changed in linux (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Kamal Mostafa (kamalmostafa)
Kamal Mostafa (kamalmostafa) wrote :

Testers, I've updated the fix kernel to the 3.5.0-14.15 baseline. Please install this new version (amd64 and i386 builds are available). No change in touchpad functionality is expected, but you'll need this one to keep the fix installed once the stock 14.15 kernel gets released:
  http://people.canonical.com/~kamal/lp1041594/

The fix has been committed to Ubuntu Quantal, and will appear in the next stock Quantal kernel after 14.15 (likely 3.5.0-15.16).

The fix has also been committed to Ubuntu Precise, and will appear in the forthcoming Precise kernel version 3.2.0-31.50.

Thanks testers, for all your help identifying the problem and validating the fix.

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-31.50). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-14.16

---------------
linux (3.5.0-14.16) quantal-proposed; urgency=low

  [ Bernhard Froemel ]

  * SAUCE: apple-gmux: Fix index read functions

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594

  [ Seth Forshee ]

  * SAUCE: Input: synaptics - Adjust threshold for treating position values
    as negative
    - LP: #1046512

  [ Upstream Kernel Changes ]

  * mei: check for error codes that mei_flow_ctrl_creds retuns
  * mei: make mei_write_message more readable
  * mei: mei_irq_thread_write_handler check for overflow
  * mei: group wd_interface_reg with watchdog variables within struct
    mei_device
  * mei: don't query HCSR for host buffer depth
  * mei: revamp host buffer interface function
  * mei: mei_device can be const for mei register access functions
  * mei: remove write only wariable wd_due_counter
  * mei: mei_wd_host_init: update the comment
  * mei: introduce mei_data2slots wrapper
  * mei: streamline the _mei_irq_thread_close/ioctol functions
  * mei: mei_irq_thread_write_handler - line break fix
  * mei: use module_pci_driver
  * mei: fix device stall after wd is stopped
 -- Leann Ogasawara <email address hidden> Mon, 10 Sep 2012 13:05:18 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.2.0-31.50

---------------
linux (3.2.0-31.50) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1047242

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594

linux (3.2.0-31.49) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1046216

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807

  [ Stefan Bader ]

  * Revert "SAUCE: fix pv-ops for legacy Xen"
    - LP: #1044550
  * SAUCE: Force xsave off on older Xen hypervisors
    - LP: #1044550

  [ Tim Gardner ]

  * [Config] Add smsc{79}5xx to nic-usb-modules
    - LP: #1041397

  [ Upstream Kernel Changes ]

  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1028151
  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * bnx2: Fix bug in bnx2_free_tx_skbs().
    - LP: #1039087
  * sch_sfb: Fix missing NULL check
    - LP: #1039087
  * sctp: Fix list corruption resulting from freeing an association on a
    list
    - LP: #1039087
  * caif: Fix access to freed pernet memory
    - LP: #1039087
  * cipso: don't follow a NULL pointer when setsockopt() is called
    - LP: #1039087
  * caif: fix NULL pointer check
    - LP: #1039087
  * wanmain: comparing array with NULL
    - LP: #1039087
  * tcp: Add TCP_USER_TIMEOUT negative value check
    - LP: #1039087
  * USB: kaweth.c: use GFP_ATOMIC under spin_lock
    - LP: #1039087
  * net: fix rtnetlink IFF_PROMISC and IFF_ALLMULTI handling
    - LP: #1039087
  * tcp: perform DMA to userspace only if there is a task waiting for it
    - LP: #1039087
  * net/tun: fix ioctl() based info leaks
    - LP: #1039087
  * e1000: add dropped DMA receive enable back in for WoL
    - LP: #1039087
  * rtlwifi: rtl8192cu: Change buffer allocation for synchronous reads
    - LP: #1039087
  * hfsplus: fix overflow in sector calculations in hfsplus_submit_bio
    - LP: #1039087
  * drm/i915: fixup seqno allocation logic for lazy_request
    - LP: #1039087
  * mac80211: cancel mesh path timer
    - LP: #1039087
  * ath9k: Add PID/VID support for AR1111
    - LP: #1039087
  * ARM: mxs: Remove MMAP_MIN_ADDR setting from mxs_defconfig
    - LP: #1039087
  * ALSA: hda - add dock support for Thinkpad T430s
    - LP: #1039087
  * cfg80211: process pending events when unregistering net device
    - LP: #1039087
  * rt61pci: fix NULL pointer dereference in config_lna_gain
    - LP: #...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers